const state = {
    date: {
        default: null,
        value: this.default
    }
}

const getters = {
    /**
     * 
     * @param {*} state 
     */
    date(state) {
        return state.date.value
    }
}

const mutations = {
    /**
     * 
     * @param {*} state 
     * @param {*} payload 
     */
    setDate(state, payload) {
        state.date.value = payload
    }
}

const actions = {
    /**
     * 
     * @param {*} param0 
     * @param {*} payload 
     */
    setDate({ commit }, payload) {
        commit('setDate', payload)
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}